from aiohttp.web import Request, Response, json_response

from maps_adv.manul.lib.db import DB


class Resources:
    _db: DB

    def __init__(self, db: DB):
        self._db = db

    async def ping(self, request: Request) -> Response:
        await self._db.healthcheck()
        return json_response(status=200)
